Subject: bug#2141: C mode indentation problem

From: Reuben Thomas <[email-masked]>
Date: Sun, 1 Feb 2009 19:38:54 +0000 (GMT)

Running Emacs from CVS head as "./emacs -Q foo.c" to create a new buffer 
foo.c in C mode, if I enter the following text, indenting as I go:

----cut here----
int main (void)
{
   int foo;

   switch (foo)
     {
     case BLAH | 'a':
       bar = 0;
     break;
---cut here----

it is indented as above, which I believe is wrong, as the "break" should be 
indented to the same column as the previous line. If I change the case line 
to simply "case BLAH:" then this does indeed happen.

-- 
http://rrt.sc3d.org/ | That's about as useful as a paper wok